diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class.wp-scripts.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/class.wp-scripts.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class.wp-scripts.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/class.wp-scripts.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 110,116 ****
  		}
  
  		$this->print_extra_script( $handle );
! 		if ( !preg_match('|^https?://|', $src) && ! ( $this->content_url && 0 === strpos($src, $this->content_url) ) ) {
  			$src = $this->base_url . $src;
  		}
  
--- 110,116 ----
  		}
  
  		$this->print_extra_script( $handle );
! 		if ( !preg_match('|^(https?:)?//|', $src) && ! ( $this->content_url && 0 === strpos($src, $this->content_url) ) ) {
  			$src = $this->base_url . $src;
  		}
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class.wp-styles.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/class.wp-styles.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class.wp-styles.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/class.wp-styles.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 135,141 ****
  	}
  
  	function _css_href( $src, $ver, $handle ) {
! 		if ( !is_bool($src) && !preg_match('|^https?://|', $src) && ! ( $this->content_url && 0 === strpos($src, $this->content_url) ) ) {
  			$src = $this->base_url . $src;
  		}
  
--- 135,141 ----
  	}
  
  	function _css_href( $src, $ver, $handle ) {
! 		if ( !is_bool($src) && !preg_match('|^(https?:)?//|', $src) && ! ( $this->content_url && 0 === strpos($src, $this->content_url) ) ) {
  			$src = $this->base_url . $src;
  		}
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-theme.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/class-wp-theme.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-theme.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/class-wp-theme.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 41,46 ****
--- 41,47 ----
  		'default'      => 'WordPress Default',
  		'twentyten'    => 'Twenty Ten',
  		'twentyeleven' => 'Twenty Eleven',
+ 		'twentytwelve' => 'Twenty Twelve',
  	);
  
  	/**
***************
*** 253,258 ****
--- 254,260 ----
  				// Parent theme is missing.
  				$this->errors = new WP_Error( 'theme_no_parent', sprintf( __( 'The parent theme is missing. Please install the "%s" parent theme.' ), $this->template ) );
  				$this->cache_add( 'theme', array( 'headers' => $this->headers, 'errors' => $this->errors, 'stylesheet' => $this->stylesheet, 'template' => $this->template ) );
+ 				$this->parent = new WP_Theme( $this->template, $this->theme_root, $this );
  				return;
  			}
  		}
***************
*** 1102,1108 ****
  	public static function get_allowed_on_site( $blog_id = null ) {
  		static $allowed_themes = array();
  
! 		if ( ! $blog_id )
  			$blog_id = get_current_blog_id();
  
  		if ( isset( $allowed_themes[ $blog_id ] ) )
--- 1104,1110 ----
  	public static function get_allowed_on_site( $blog_id = null ) {
  		static $allowed_themes = array();
  
! 		if ( ! $blog_id || ! is_multisite() )
  			$blog_id = get_current_blog_id();
  
  		if ( isset( $allowed_themes[ $blog_id ] ) )
***************
*** 1110,1127 ****
  
  		$current = $blog_id == get_current_blog_id();
  
! 		if ( $current )
  			$allowed_themes[ $blog_id ] = get_option( 'allowedthemes' );
! 		else
! 			$allowed_themes[ $blog_id ] = get_blog_option( $blog_id, 'allowedthemes' );
  
  		// This is all super old MU back compat joy.
  		// 'allowedthemes' keys things by stylesheet. 'allowed_themes' keyed things by name.
  		if ( false === $allowed_themes[ $blog_id ] ) {
! 			if ( $current )
  				$allowed_themes[ $blog_id ] = get_option( 'allowed_themes' );
! 			else
! 				$allowed_themes[ $blog_id ] = get_blog_option( $blog_id, 'allowed_themes' );
  
  			if ( ! is_array( $allowed_themes[ $blog_id ] ) || empty( $allowed_themes[ $blog_id ] ) ) {
  				$allowed_themes[ $blog_id ] = array();
--- 1112,1135 ----
  
  		$current = $blog_id == get_current_blog_id();
  
! 		if ( $current ) {
  			$allowed_themes[ $blog_id ] = get_option( 'allowedthemes' );
! 		} else {
! 			switch_to_blog( $blog_id );
! 			$allowed_themes[ $blog_id ] = get_option( 'allowedthemes' );
! 			restore_current_blog();
! 		}
  
  		// This is all super old MU back compat joy.
  		// 'allowedthemes' keys things by stylesheet. 'allowed_themes' keyed things by name.
  		if ( false === $allowed_themes[ $blog_id ] ) {
! 			if ( $current ) {
  				$allowed_themes[ $blog_id ] = get_option( 'allowed_themes' );
! 			} else {
! 				switch_to_blog( $blog_id );
! 				$allowed_themes[ $blog_id ] = get_option( 'allowed_themes' );
! 				restore_current_blog();
! 			}
  
  			if ( ! is_array( $allowed_themes[ $blog_id ] ) || empty( $allowed_themes[ $blog_id ] ) ) {
  				$allowed_themes[ $blog_id ] = array();
***************
*** 1140,1147 ****
  					update_option( 'allowedthemes', $allowed_themes[ $blog_id ] );
  					delete_option( 'allowed_themes' );
  				} else {
! 					update_blog_option( $blog_id, 'allowedthemes', $allowed_themes[ $blog_id ] );
! 					delete_blog_option( $blog_id, 'allowed_themes' );
  				}
  			}
  		}
--- 1148,1157 ----
  					update_option( 'allowedthemes', $allowed_themes[ $blog_id ] );
  					delete_option( 'allowed_themes' );
  				} else {
! 					switch_to_blog( $blog_id );
! 					update_option( 'allowedthemes', $allowed_themes[ $blog_id ] );
! 					delete_option( 'allowed_themes' );
! 					restore_current_blog();
  				}
  			}
  		}
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-walker.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/class-wp-walker.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-walker.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/class-wp-walker.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 126,132 ****
  		if ( is_array( $args[0] ) )
  			$args[0]['has_children'] = ! empty( $children_elements[$element->$id_field] );
  		$cb_args = array_merge( array(&$output, $element, $depth), $args);
! 		call_user_func_array(array(&$this, 'start_el'), $cb_args);
  
  		$id = $element->$id_field;
  
--- 126,132 ----
  		if ( is_array( $args[0] ) )
  			$args[0]['has_children'] = ! empty( $children_elements[$element->$id_field] );
  		$cb_args = array_merge( array(&$output, $element, $depth), $args);
! 		call_user_func_array(array($this, 'start_el'), $cb_args);
  
  		$id = $element->$id_field;
  
***************
*** 139,145 ****
  					$newlevel = true;
  					//start the child delimiter
  					$cb_args = array_merge( array(&$output, $depth), $args);
! 					call_user_func_array(array(&$this, 'start_lvl'), $cb_args);
  				}
  				$this->display_element( $child, $children_elements, $max_depth, $depth + 1, $args, $output );
  			}
--- 139,145 ----
  					$newlevel = true;
  					//start the child delimiter
  					$cb_args = array_merge( array(&$output, $depth), $args);
! 					call_user_func_array(array($this, 'start_lvl'), $cb_args);
  				}
  				$this->display_element( $child, $children_elements, $max_depth, $depth + 1, $args, $output );
  			}
***************
*** 149,160 ****
  		if ( isset($newlevel) && $newlevel ){
  			//end the child delimiter
  			$cb_args = array_merge( array(&$output, $depth), $args);
! 			call_user_func_array(array(&$this, 'end_lvl'), $cb_args);
  		}
  
  		//end this element
  		$cb_args = array_merge( array(&$output, $element, $depth), $args);
! 		call_user_func_array(array(&$this, 'end_el'), $cb_args);
  	}
  
  	/**
--- 149,160 ----
  		if ( isset($newlevel) && $newlevel ){
  			//end the child delimiter
  			$cb_args = array_merge( array(&$output, $depth), $args);
! 			call_user_func_array(array($this, 'end_lvl'), $cb_args);
  		}
  
  		//end this element
  		$cb_args = array_merge( array(&$output, $element, $depth), $args);
! 		call_user_func_array(array($this, 'end_el'), $cb_args);
  	}
  
  	/**
